%{?nodejs_find_provides_and_requires}

# Tests disabled due to missing npm(acorn-6to5)
%global enable_tests 0

Name:           nodejs-escodegen
Version:        1.8.0
Release:        %mkrel 1
Group:          Development/Other
Summary:        ECMAScript code generator
License:        BSD
URL:            https://github.com/Constellation/escodegen
Source0:        https://registry.npmjs.org/escodegen/-/escodegen-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
BuildRequires:  npm(estraverse)
BuildRequires:  npm(esutils)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%nodejs_fixdep esprima "^2.7.1"
%nodejs_fixdep source-map "^0.5.2"
%nodejs_fixdep estraverse
rm -f *.min.js


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen
cp -pr package.json escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen

mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen/bin
install -p -D -m0755 bin/escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/escodegen.js
install -p -D -m0755 bin/esgenerate.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/esgenerate.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/escodegen/bin/escodegen.js \
    %{buildroot}%{_bindir}/escodegen.js
ln -sf %{nodejs_sitelib}/escodegen/bin/esgenerate.js \
    %{buildroot}%{_bindir}/esgenerate.js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/mocha --reporter spec --timeout 30000
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE.BSD LICENSE.source-map
%{nodejs_sitelib}/escodegen
%{_bindir}/escodegen.js
%{_bindir}/esgenerate.js





%changelog
* Wed May 17 2017 neoclust <neoclust> 1.8.0-1.mga6
+ Revision: 1102310
- New version 1.8.0

* Tue May 16 2017 neoclust <neoclust> 1.3.2-9.mga6
+ Revision: 1102223
- imported package nodejs-escodegen

